BCMGPIO(4) | Kernel Interfaces Manual | BCMGPIO(4)

# NAME

bcmgpio — driver for BCM2835 onboard gpio

# SYNOPSIS

bcmgpio0 at obio?
bcmgpio1 at obio?
gpio* at gpiobus?

# DESCRIPTION

The bcmgpio driver supports up to two instances. Access to the pins is provided by the gpio(4) interface. The bcmgpio unitnumber argument selects the pin range. Unit 0 covers GPIO pins 0 through 31 and unit 1 covers pins 32 through 53. GPIO pins being used in alternate configurations are not available for GPIO operations.

# SEE ALSO

gpio(4), intro(4)

# HISTORY

The bcmgpio driver first appeared in NetBSD 7.0.

# AUTHORS

The bcmgpio driver was written by Frank Kardel <kardel@NetBSD.org>.

April 21, 2014 | NetBSD 7.1